AOZ Studio Beta - Bug #721

Delete no longer works from the project tree.
04/13/2021 07:10 PM - Brian Flanagan

Status: Closed Start date: 04/13/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description

Until the most recent updates (post 6a) this worked.

See snapshots for example situation:
Attempted to delete test3.txt from the Bug511 program's resources/filesystem/DF0 folder.
Delete was unsuccessful.

Also attempted to delete:
test2.txt and both .DS_Store files
Those deletions also failed.

There were no errors on the JavaScript console:

save paths

/Users/brian/A0Z_New/aoz/IDE/.atom/packages/aoz-studio/lib/aoz-config. js:873 updateFiles
/Users/brian/A0Z_New/aoz/IDE/.atom/packages/aoz-studio/lib/aoz-studio-view. js:264 CustomEvent {isT
rusted: false, eventPhase: 3, target: span.name.icon.icon-file-text, preventDefault: f, ..}
/Users/brian/A0Z_New/aoz/IDE/.atom/packages/aoz-studio/lib/aoz-config.js:120 save paths
/Users/brian/A0Z_New/aoz/IDE/.atom/packages/aoz-studio/lib/aoz—-config. js:873 updateFiles
/Users/brian/A0Z_New/aoz/IDE/.atom/packages/aoz-studio/lib/ui/aoz—-icons. js:33 updateProjectIcons

History

#1 - 04/17/2021 01:14 AM - Brian Flanagan

- Status changed from New to Closed

Re-tested in 1.0.0 (B7) (rev. 4/16)

Works now!
